Bug 236969 - lang/crystal: update to 0.28.0 (& devel/shards 0.9.0.rc1)
Summary: lang/crystal: update to 0.28.0 (& devel/shards 0.9.0.rc1)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-02 17:34 UTC by Greg V
Modified: 2019-07-24 18:10 UTC (History)
4 users (show)

See Also:


Attachments
crystal0272.patch (27.12 KB, patch)
2019-04-02 17:34 UTC, Greg V
no flags Details | Diff
crystal0280.patch (30.02 KB, patch)
2019-04-20 22:28 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2019-04-02 17:34:12 UTC
Created attachment 203324 [details]
crystal0272.patch

Now LLVM 6 seems to work fine on aarch64.
Comment 1 Greg V 2019-04-20 22:28:17 UTC
Created attachment 203843 [details]
crystal0280.patch

Now 0.28.0. llvm 6 support broken on aarch64 again, keeping llvm 5 as it is in ports now
Comment 2 Rodrigo Osorio freebsd_committer 2019-06-23 21:52:46 UTC
Hi Greg, shards release a few days ago the 0.9.0 release.
Do you consider perform the change or keep the RC1 ?
BTW building the port with 0.9.0 works fine.
Comment 3 Rodrigo Osorio freebsd_committer 2019-07-23 15:55:58 UTC
Hi Greg,

Any change regarding this issue ? 
Any reason to stick to shard-0.9.0-rc1 or we can move to shard-0.9.0 ?

Cheers,
-- rodrigo
Comment 4 Greg V 2019-07-23 17:23:16 UTC
(In reply to Rodrigo Osorio from comment #3)

oops, I forgot about the first message, sorry!

Yeah of course we can move to 0.9.0. I'll also try building crystal 0.29.0 now
Comment 5 Rodrigo Osorio freebsd_committer 2019-07-24 18:10:02 UTC
Committed, thanks
Comment 6 commit-hook freebsd_committer 2019-07-24 18:10:10 UTC
A commit references this bug:

Author: rodrigo
Date: Wed Jul 24 18:09:48 UTC 2019
New revision: 507293
URL: https://svnweb.freebsd.org/changeset/ports/507293

Log:
  Update lang/crystal to 0.28.0 and devel/shards to 0.9.0

  Release notes: https://github.com/crystal-lang/crystal/releases/tag/0.28.0
                 https://github.com/crystal-lang/shards/releases/tag/v0.9.0

  PR:		236969
  Submitted by:	Greg V<greg@unrelenting.technology> (maintainer)

Changes:
  head/devel/shards/Makefile
  head/devel/shards/distinfo
  head/devel/shards/files/
  head/lang/crystal/Makefile
  head/lang/crystal/distinfo
  head/lang/crystal/pkg-plist